/*******************************************************************************
 * FoxCameraActor_HeroPose generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCameraActor_HeroPose extends CameraActor
    hidecategories(Navigation);

var() array<FoxHeroPoseActor> HeroActors;
var delegate<HeroActorSortDelegate> __HeroActorSortDelegate__Delegate;

simulated event PostBeginPlay()
{
    super(Actor).PostBeginPlay();
    HeroActors.RemoveItem(none);
    // End:0x96
    if((WorldInfo != none) && FoxMapInfo(WorldInfo.GetMapInfo()) != none)
    {
        FoxMapInfo(WorldInfo.GetMapInfo()).NotifyHeroPoseCameraCreated(self);
    }
    //return;    
}

function AssignPRIs()
{
    local FoxGRI GRI;

    GRI = FoxGRI(WorldInfo.GRI);
    HeroActors.Sort(HeroActorSortDelegate);
    // End:0x5F
    if(HeroActors.Length == 0)
    {
    }
    // End:0xF3
    if((GRI.FirstPlaceID > 0) && HeroActors.Length >= 1)
    {
        HeroActors[0].SetPRI(GRI.GetPRIByPlayerID(GRI.FirstPlaceID));
    }
    // End:0x188
    if((GRI.SecondPlaceID > 0) && HeroActors.Length >= 2)
    {
        HeroActors[1].SetPRI(GRI.GetPRIByPlayerID(GRI.SecondPlaceID));
    }
    // End:0x21E
    if((GRI.ThirdPlaceID > 0) && HeroActors.Length >= 3)
    {
        HeroActors[2].SetPRI(GRI.GetPRIByPlayerID(GRI.ThirdPlaceID));
    }
    // End:0x2B4
    if((GRI.ForthPlaceID > 0) && HeroActors.Length >= 4)
    {
        HeroActors[3].SetPRI(GRI.GetPRIByPlayerID(GRI.ForthPlaceID));
    }
    //return;    
}

delegate int HeroActorSortDelegate(FoxHeroPoseActor A, FoxHeroPoseActor B)
{
    return ((A.PlayerRank > B.PlayerRank) ? -1 : 0);
    //return ReturnValue;    
}

function AttemptTaunt(PlayerReplicationInfo PRI, int InEmoteUnlockID)
{
    local FoxHeroPoseActor HA;
    local FoxPC PC;

    // End:0xAB
    foreach HeroActors(HA,)
    {
        // End:0xAA
        if(PRI == HA.PRI)
        {
            // End:0xA9
            foreach WorldInfo.AllControllers(class'FoxPC', PC)
            {
                PC.ClientPlayTaunt(HA, InEmoteUnlockID);                
            }            
        }        
    }    
    //return;    
}

simulated function bool CanPlayTaunt(PlayerReplicationInfo PRI)
{
    local FoxHeroPoseActor HA;

    // End:0x67
    foreach DynamicActors(class'FoxHeroPoseActor', HA)
    {
        // End:0x66
        if(PRI == HA.PRI)
        {            
            return HA.CanPlayTaunt();
        }        
    }    
    return false;
    //return ReturnValue;    
}

defaultproperties
{
    bConstrainAspectRatio=false
}